Bug 738554 - Review Request: perl-Test-HexString - Test binary strings with hex dump diagnostics
Summary: Review Request: perl-Test-HexString - Test binary strings with hex dump diagn...
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Remi Collet
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 738589
TreeView+ depends on / blocked
 
Reported: 2011-09-15 07:20 UTC by Mathieu Bridon
Modified: 2011-09-20 03:45 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-09-20 03:45:33 UTC
fedora: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Mathieu Bridon 2011-09-15 07:20:03 UTC
Spec URL: http://bochecha.fedorapeople.org/packages/perl-Test-HexString.spec
SRPM URL: http://bochecha.fedorapeople.org/packages/perl-Test-HexString-0.02-1.fc16.src.rpm
Description:
This testing module provides a single function, is_hexstr(), which asserts
that the given string matches what was expected. When the strings match
(i.e. compare equal using the eq operator), the behaviour is identical to
the usual is() function provided by Test::More.


$ rpmlint ./perl-Test-HexString*
perl-Test-HexString.noarch: W: spelling-error %description -l en_US hexstr -> hex str, hex-str, hexastyle
perl-Test-HexString.noarch: W: spelling-error %description -l en_US behaviour -> behavior, behave, behalves
perl-Test-HexString.noarch: E: incorrect-fsf-address /usr/share/doc/perl-Test-HexString-0.02/LICENSE
perl-Test-HexString.src: W: spelling-error %description -l en_US hexstr -> hex str, hex-str, hexastyle
perl-Test-HexString.src: W: spelling-error %description -l en_US behaviour -> behavior, behave, behalves
2 packages and 1 specfiles checked; 1 errors, 4 warnings.

I opened an upstream bug about the incorrect FSF address:
    https://rt.cpan.org/Public/Bug/Display.html?id=70977

Comment 1 Remi Collet 2011-09-17 06:42:01 UTC
=== FORMAL REVIEW ===
 -=N/A  x=Check  !=Problem,  ?=Not evaluated

=== REQUIRED ITEMS ===
 [x] Rpmlint output:
perl-Test-HexString.noarch: E: incorrect-fsf-address /usr/share/doc/perl-Test-HexString-0.02/LICENSE
 [x] Package is named according to the Package Naming Guidelines.
 [x] Spec file name must match the base package %{name}, in the format
%{name}.spec.
 [x] Package meets the Packaging Guidelines including the Perl specific items
 [x] Package is licensed with an open-source compatible license and meets other
legal requirements as defined in the legal section of Packaging Guidelines.
 [x] License field in the package spec file matches the actual license.
     License type: GPL+ or Artistic
 [x] If (and only if) the source package includes the text of the license(s) in
its own file, then that file, containing the text of the license(s) for the
package is included in %doc.
 [x] Spec file is legible and written in American English.
 [x] Sources used to build the package matches the upstream source, as provided
in the spec URL.
	md5sum : 9ad36ed82057320048c0777b69e737b6  Test-HexString-0.02.tar.gz
 [x] Package successfully compiles and builds into binary rpms on at least one
supported architecture.
     Tested on: f15 x86_64
 [x] Package is not known to require ExcludeArch
 [x] All build dependencies are listed in BuildRequires, except for any that
are listed in the exceptions section of Packaging Guidelines.
 [-] The spec file handles locales properly.
 [-] ldconfig called in %post and %postun if required.
 [x] Packages don't bundle copies of system librarie
 [x] Package is not relocatable.
 [x] Package must own all directories that it creates.
 [x] Package requires other packages for directories it uses.
 [x] Package does not contain duplicates in %files.
 [x] Permissions on files are set properly.
 [x] Package consistently uses macros.
 [x] Package contains code, or permissable content.
 [-] Large documentation files are in a -doc subpackage, if required.
 [x] Package uses nothing in %doc for runtime.
 [-] Header files in -devel subpackage, if present.
 [-] Static libraries in -static subpackage, if present.
 [-] Development .so files in -devel subpackage, if present.
 [-] Fully versioned dependency in subpackages with %{?_isa}, if present.
 [x] Package does not contain any libtool archives (.la).
 [-] Package contains a properly installed %{name}.desktop file if it is a GUI
 [x] All filenames in rpm packages must be valid UTF-8
 [x] Package does not own files or directories owned by other packages.
	Own /usr/share/perl5/vendor_perl/Test already own
	but subject to perl exception.

=== SUGGESTED ITEMS ===
 [x] Final requires
perl(:MODULE_COMPAT_5.12.4)  
perl(Test::Builder)  
 [x] Final provides
perl(Test::HexString) = 0.02
perl-Test-HexString = 0.02-1.fc15
 [!] Latest version is packaged.
 [-] If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it. 
 [?] The description and summary sections in the package spec file should contain
     translations for supported Non-English languages, if available.
 [x] Reviewer should test that the package builds in mock.
     Tested on: Koji 
	http://koji.fedoraproject.org/koji/taskinfo?taskID=3357052
 [-] The package should compile and build into binary rpms on all supported architectures.
     Tested on: N/A for noarch
 [?] Package functions as described.
 [x] If scriptlets are used, those scriptlets must be sane. 
 [-] If the package has file dependencies outside of /etc, /bin, /sbin, /usr/bin, or /usr/sbin 
     consider requiring the package which provides the file instead of the file itself. 
 [x] your package should contain man pages for binaries/scripts. 
     If it doesn't, work with upstream to add them where they make sense.
 [-] The placement of pkgconfig(.pc) files is correct.
 [x] %check is present and the tests pass

Should
- package latest version 0.03, released yesterday... ;)
  fix fixes the fsf address bug
- make %file more exclicite (I personally hate to wide joker)


No blocker,
Do you want me to approve 0.02 or do you prefer to update the spec ?
(I prefer to have the latest version in the repo)

Comment 2 Mathieu Bridon 2011-09-19 03:28:13 UTC
Spec URL: http://bochecha.fedorapeople.org/packages/perl-Test-HexString.spec
SRPM URL: http://bochecha.fedorapeople.org/packages/perl-Test-HexString-0.03-1.fc16.src.rpm

(In reply to comment #1)
> Should
> - package latest version 0.03, released yesterday... ;)

Done.

> - make %file more exclicite (I personally hate to wide joker)

Fixed.
 
> No blocker,
> Do you want me to approve 0.02 or do you prefer to update the spec ?
> (I prefer to have the latest version in the repo)

Me too. :)

Comment 3 Remi Collet 2011-09-19 05:13:14 UTC
********
APPROVED 
********

Comment 4 Mathieu Bridon 2011-09-19 07:14:07 UTC
New Package SCM Request
=======================
Package Name: perl-Test-HexString
Short Description: Test binary strings with hex dump diagnostics
Owners: bochecha
Branches: f16 el6
InitialCC: perl-sig

Comment 5 Gwyn Ciesla 2011-09-19 10:09:32 UTC
Git done (by process-git-requests).

Comment 6 Mathieu Bridon 2011-09-20 03:45:33 UTC
Package pushed and built in all requested branches, thank you Remi and Jon.


Note You need to log in before you can comment on or make changes to this bug.